<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    var arr_1 = [1, 2, 3];
    var arr_2 = [4, 5, 6];
    arr = arr_1.concat(arr_2);
    console.log(arr);
    var arr_3 = [...arr_1, ...arr_2];
    console.log(...arr_1);
    console.log(arr_3);

    var obj_1 = { name: "Cuong Trinh"};
    var obj_2 = { year: 2019};
    var cloned_obj = {...obj_1, ...obj_2};
    console.log(cloned_obj);
    console.log({...cloned_obj});
    console.log({...cloned_obj, year:2022});
    console.log({...cloned_obj, name: "Cuong Anaa"});
</script>
</html>